GRUB-MKRESCUE(1)

NAME
grub-mkrescue - make a GRUB rescue image

SYNOPSIS
grub-mkrescue [OPTION] SOURCE...

DESCRIPTION
Make GRUB CD-ROM, disk, pendrive and floppy bootable image.

-h, --help
    print this message and exit

-o, --output=FILE
    save output in FILE [required]

--modules=MODULES
    pre-load specified modules MODULES

--install-modules=MODULES
    install only MODULES and their dependencies [default=all]

--themes=THEMES
    install THEMES [default=starfield]

--fonts=FONTS
    install FONTS [default=unicode]

--locales=LOCALES
    install only LOCALES [default=all]

--compress[=no,xz,gz,lzo]
    compress GRUB files [optional]

-d, --directory=DIR
    use images and modules under DIR [default=/usr/lib/grub/<platform>]

--grub-mkimage=FILE
    use FILE as grub-mkimage

-v, --version
    print the version information and exit

--rom-directory=DIR
    save ROM images in DIR [optional]

--xorriso=FILE
    use FILE as xorriso [optional]

--grub-glue-efi=FILE
    use FILE as grub-glue-efi

--grub-render-label=FILE
    use FILE as grub-render-label

--label-font=FILE
    use FILE as font for label

--label-color=COLOR
    use COLOR for label

--label-bgcolor=COLOR
    use COLOR for label background

--product-name=STRING
    use STRING as product name

--product-version=STRING
    use STRING as product version

--sparc-boot
    enable sparc boot. Disables HFS+, APM, ARCS and boot as disk image for i386-pc

--arcs-boot
    enable ARCS (big-endian mips machines, mostly SGI) boot. Disables HFS+, APM, sparc64 and boot as disk image for i386-pc

xorriso -as mkisofs -help generates a bootable rescue image with specified source files, source directories, or mkisofs options listed by the output of `grub-mkrescue'

Option -- switches to native xorriso command mode.

REPORTING BUGS
Report bugs to <bug-grub@gnu.org>.
Mail xorriso support requests to <bug-xorriso@gnu.org>.

SEE ALSO
grub-mkimage(1)

The full documentation for grub-mkrescue is maintained as a Texinfo manual. If the info and grub-mkrescue programs are properly installed at your site, the command

    info grub-mkrescue

should give you access to the complete manual.